ojph::message_base Class Referenceabstract

`#include <ojph_message.h>`

Inheritance diagram for ojph::message_base:

## Public Member Functions

virtual OJPH_EXPORT void | operator() (int warn_code, const char *file_name, int line_num, const char *fmt,...)=0

## Member Function Documentation

## operator()()

virtual OJPH_EXPORT void ojph::message_base::operator() | ( | int | warn_code,
|  | const char * | file_name,
|  | int | line_num,
|  | const char * | fmt,
|  |  | ...
| ) |  |

pure virtual

Implemented in ojph::message_info, ojph::message_warning, and ojph::message_error.

The documentation for this class was generated from the following file:

- ojph_message.h